Package org.h2gis.functions.io.gpx.model

# Class GpxMetadata

java.lang.Object
org.h2gis.functions.io.gpx.model.GpxMetadata

public class GpxMetadata extends Object
This class stores field information for a standard GPX file.

Author:
  Erwan Bocher and Antonin Piasco

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LINECMT`
`static final int`
`LINEDESC`
`static final int`
`LINEEXTENSIONS`
`static final int`
`LINEID`
`static final int`
`LINELINK_HREF`
`static final int`
`LINELINK_HREFTITLE`
`static final int`
`LINENAME`
`static final int`
`LINENUMBER`
`static final int`
`LINESRC`
`static final int`
`LINETYPE`
`static final int`
`PTAGEOFDGPSDATA`
`static final int`
`PTCMT`
`static final int`
`PTDESC`
`static final int`
`PTDGPSID`
`static final int`
`PTELE`
`static final int`
`PTEXTENSIONS`
`static final int`
`PTFIX`
`static final int`
`PTGEOIDWEIGHT`
`static final int`
`PTHDOP`
`static final int`
`PTID`
`static final int`
`PTLAT`
`static final int`
`PTLINK`
`static final int`
`PTLINKTEXT`
`static final int`
`PTLON`
`static final int`
`PTMAGVAR`
`static final int`
`PTNAME`
`static final int`
`PTPDOP`
`static final int`
`PTSAT`
`static final int`
`PTSRC`
`static final int`
`PTSYM`
`static final int`
`PTTIME`
`static final int`
`PTTYPE`
`static final int`
`PTVDOP`
`static final int`
`RTEFIELDCOUNT`
`static final int`
`RTEPT_RTEID`
`static final int`
`RTEPTFIELDCOUNT`
`static final int`
`THE_GEOM`
`static final int`
`TRKFIELDCOUNT`
`static final int`
`TRKPT_TRKSEGID`
`static final int`
`TRKPTFIELDCOUNT`
`static final int`
`TRKSEG_TRKID`
`static final int`
`TRKSEGEXTENSIONS`
`static final int`
`TRKSEGFIELDCOUNT`
`static final int`
`TRKSEGID`
`static final int`
`WPTFIELDCOUNT`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WPTFIELDCOUNT

public static final int WPTFIELDCOUNT

See Also:
  - Constant Field Values

### RTEFIELDCOUNT

public static final int RTEFIELDCOUNT

See Also:
  - Constant Field Values

### RTEPTFIELDCOUNT

public static final int RTEPTFIELDCOUNT

See Also:
  - Constant Field Values

### TRKFIELDCOUNT

public static final int TRKFIELDCOUNT

See Also:
  - Constant Field Values

### TRKSEGFIELDCOUNT

public static final int TRKSEGFIELDCOUNT

See Also:
  - Constant Field Values

### TRKPTFIELDCOUNT

public static final int TRKPTFIELDCOUNT

See Also:
  - Constant Field Values

### THE_GEOM

public static final int THE_GEOM

See Also:
  - Constant Field Values

### PTID

public static final int PTID

See Also:
  - Constant Field Values

### PTLAT

public static final int PTLAT

See Also:
  - Constant Field Values

### PTLON

public static final int PTLON

See Also:
  - Constant Field Values

### PTELE

public static final int PTELE

See Also:
  - Constant Field Values

### PTTIME

public static final int PTTIME

See Also:
  - Constant Field Values

### PTMAGVAR

public static final int PTMAGVAR

See Also:
  - Constant Field Values

### PTGEOIDWEIGHT

public static final int PTGEOIDWEIGHT

See Also:
  - Constant Field Values

### PTNAME

public static final int PTNAME

See Also:
  - Constant Field Values

### PTCMT

public static final int PTCMT

See Also:
  - Constant Field Values

### PTDESC

public static final int PTDESC

See Also:
  - Constant Field Values

### PTSRC

public static final int PTSRC

See Also:
  - Constant Field Values

### PTLINK

public static final int PTLINK

See Also:
  - Constant Field Values

### PTLINKTEXT

public static final int PTLINKTEXT

See Also:
  - Constant Field Values

### PTSYM

public static final int PTSYM

See Also:
  - Constant Field Values

### PTTYPE

public static final int PTTYPE

See Also:
  - Constant Field Values

### PTFIX

public static final int PTFIX

See Also:
  - Constant Field Values

### PTSAT

public static final int PTSAT

See Also:
  - Constant Field Values

### PTHDOP

public static final int PTHDOP

See Also:
  - Constant Field Values

### PTVDOP

public static final int PTVDOP

See Also:
  - Constant Field Values

### PTPDOP

public static final int PTPDOP

See Also:
  - Constant Field Values

### PTAGEOFDGPSDATA

public static final int PTAGEOFDGPSDATA

See Also:
  - Constant Field Values

### PTDGPSID

public static final int PTDGPSID

See Also:
  - Constant Field Values

### PTEXTENSIONS

public static final int PTEXTENSIONS

See Also:
  - Constant Field Values

### LINEID

public static final int LINEID

See Also:
  - Constant Field Values

### LINENAME

public static final int LINENAME

See Also:
  - Constant Field Values

### LINECMT

public static final int LINECMT

See Also:
  - Constant Field Values

### LINEDESC

public static final int LINEDESC

See Also:
  - Constant Field Values

### LINESRC

public static final int LINESRC

See Also:
  - Constant Field Values

### LINELINK_HREF

public static final int LINELINK_HREF

See Also:
  - Constant Field Values

### LINELINK_HREFTITLE

public static final int LINELINK_HREFTITLE

See Also:
  - Constant Field Values

### LINENUMBER

public static final int LINENUMBER

See Also:
  - Constant Field Values

### LINETYPE

public static final int LINETYPE

See Also:
  - Constant Field Values

### LINEEXTENSIONS

public static final int LINEEXTENSIONS

See Also:
  - Constant Field Values

### RTEPT_RTEID

public static final int RTEPT_RTEID

See Also:
  - Constant Field Values

### TRKSEGID

public static final int TRKSEGID

See Also:
  - Constant Field Values

### TRKSEGEXTENSIONS

public static final int TRKSEGEXTENSIONS

See Also:
  - Constant Field Values

### TRKSEG_TRKID

public static final int TRKSEG_TRKID

See Also:
  - Constant Field Values

### TRKPT_TRKSEGID

public static final int TRKPT_TRKSEGID

See Also:
  - Constant Field Values